Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jst.jsf.designtime.internal.provisional.resolver
Interface ISymbolContextResolver

All Superinterfaces:
  IContextResolver, IDocumentContextResolver

public interface ISymbolContextResolver
extends IDocumentContextResolver

Resolves symbols and possible symbols in a given context May be sub-classed or implemented by clients

Method Summary
`ISymbol[]` | `getAllVariables()`
`IMethodSymbol` | `getMethod(IObjectSymbol base, java.lang.Object methodName)`
`ISymbol[]` | `getMethods(IObjectSymbol base)`
`ISymbol[]` | `getProperties(ISymbol symbol)`
`ISymbol` | `getProperty(ISymbol symbol, java.lang.Object propertyName)`
`ISymbol` | `getVariable(java.lang.String name)` Gets the most appropriate symbol in the current context based on name.

Methods inherited from interface org.eclipse.jst.jsf.context.resolver.internal.provisional.IContextResolver
`canResolveContext`

Method Detail

### getVariable

    public ISymbol getVariable(java.lang.String name)

  Gets the most appropriate symbol in the current context based on name. Most "appropriate" may take into account scoping and other rules.

  Parameters:
    `name` -
  Returns:
    a symbol

### getAllVariables

    public ISymbol[] getAllVariables()

  Returns:
    all valid symbols in the current context

### getProperty

    public ISymbol getProperty(ISymbol symbol,
                               java.lang.Object propertyName)

  Parameters:
    `symbol` -
    `propertyName` -
  Returns:
    the property symbol called propertyName or null if not found

### getProperties

    public ISymbol[] getProperties(ISymbol symbol)

  Parameters:
    `symbol` -
  Returns:
    all properties of symbol

### getMethod

    public IMethodSymbol getMethod(IObjectSymbol base,
                                   java.lang.Object methodName)

  Parameters:
    `base` -
    `methodName` -
  Returns:
    the method of base matching methodName or null if not found

### getMethods

    public ISymbol[] getMethods(IObjectSymbol base)

  Parameters:
    `base` -
  Returns:
    all methods belonging to base

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD